﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WPFDisplayASimpleMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.Meter;
            WorldMapKitWmsWpfOverlay worldOverlay = new WorldMapKitWmsWpfOverlay() { Projection = WorldMapKitProjection.SphericalMercator };
            //wpfMap1.Overlays.Add("WMK", worldOverlay);

            worldOverlay.SendingWebRequest += worldOverlay_SendingWebRequest;

            ManagedProj4Projection proj4 = new ManagedProj4Projection();
            proj4.InternalProjectionParametersString = Proj4Projection.GetLatLongParametersString();
            proj4.ExternalProjectionParametersString = Proj4Projection.GetBingMapParametersString();
            proj4.Open();

            NoaaRadarRasterLayer noaaLayer = new NoaaRadarRasterLayer();
            noaaLayer.Open();

            noaaLayer.ImageSource.Projection = proj4;

            LayerOverlay lo = new LayerOverlay();
            lo.Layers.Add(noaaLayer);

            wpfMap1.Overlays.Add(lo);

            wpfMap1.CurrentExtent = new RectangleShape(-18279219.8767961, 9761385.38998226, -2938040.92297071, -1216167.40733411);
            wpfMap1.Refresh();
        }

        private void worldOverlay_SendingWebRequest(object sender, SendingWebRequestEventArgs e)
        {
            var s = e.WebRequest.RequestUri.ToString();
        }
    }
}